Bug 889062 (CVE-2012-5658) - CVE-2012-5658 OpenShift Origin: rhc-chk.rb password exposure in log files
Summary: CVE-2012-5658 OpenShift Origin: rhc-chk.rb password exposure in log files
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-5658
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 888100 889066
Blocks: 889068
TreeView+ depends on / blocked
 
Reported: 2012-12-20 06:59 UTC by Kurt Seifried
Modified: 2019-09-29 12:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 14:05:57 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0220 0 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 1.1 update 2013-02-01 01:23:24 UTC

Description Kurt Seifried 2012-12-20 06:59:03 UTC
It is reported that the rhc-chk command when run with the -d displays the 
password in cleartext.

Comment 2 errata-xmlrpc 2013-01-31 20:33:47 UTC
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise

Via RHSA-2013:0220 https://rhn.redhat.com/errata/RHSA-2013-0220.html


Note You need to log in before you can comment on or make changes to this bug.